# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /tmp/build/80754af9/combined_recipe, last modified Fri Apr 16 21:51:30 2021
# ------------------------------------------------

package:
  name: oniguruma
  version: 6.9.7.1
source:
  fn: onig-6.9.7.1.tar.gz
  sha256: 6444204b9c34e6eb6c0b23021ce89a0370dad2b2f5c00cd44c342753e0b204d9
  url: https://github.com/kkos/oniguruma/releases/download/v6.9.7.1/onig-6.9.7.1.tar.gz
build:
  number: '0'
  run_exports:
    - oniguruma >=6.9.7.1,<6.10.0a0
  string: h27cfd23_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - binutils_impl_linux-64 2.33.1 he6710b0_7
    - binutils_linux-64 2.33.1 h9595d00_15
    - gcc_impl_linux-64 7.3.0 habb00fd_1
    - gcc_linux-64 7.3.0 h553295d_15
    - gnuconfig 2020.11.07 0
    - ld_impl_linux-64 2.33.1 h53a641e_7
    - libgcc-ng 9.1.0 hdf63c60_0
    - libstdcxx-ng 9.1.0 hdf63c60_0
    - make 4.2.1 h1bed415_1
  host:
    - _libgcc_mutex 0.1 main
    - libgcc-ng 9.1.0 hdf63c60_0
  run:
    - libgcc-ng >=7.3.0
test:
  commands:
    - test -f "${PREFIX}/include/oniggnu.h"
    - test -f "${PREFIX}/include/onigposix.h"
    - test -f "${PREFIX}/include/oniguruma.h"
    - test -f "${PREFIX}/lib/libonig.a"
    - test -f "${PREFIX}/lib/libonig.so"
    - test -f "${PREFIX}/lib/pkgconfig/oniguruma.pc"
    - onig-config --version
about:
  home: https://github.com/kkos/oniguruma
  license: BSD-2-Clause
  license_file: COPYING
  summary: A regular expression library.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - jakirkham
    - kkos
